Inhalte
Index 🔎︎

# Funktion Left

Gibt vom Anfang der Zeichenkette beginnend eine bestimmte Anzahl von Zeichen aus einem Zeichenkettenausdruck zurück.

### Syntax:

    Left (Text As String, n As Integer)

### Rückgabewert:

String

### Parameter:

Text: Ein beliebiger Zeichenkettenausdruck, aus dem Sie von vorne beginnend Zeichen zurückgeben möchten.

n: Numerischer Ausdruck, der die Anzahl der zurückzugebenden Zeichen angibt. Wenn n = 0 ist, wird eine Zeichenfolge der Länge null zurückgegeben. Der maximal zulässige Wert beträgt 2.147.483.648.

Das folgende Beispiel wandelt ein Datum im Format JJJJ.MM.TT in das Format MM/TT/JJJJ um.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    Sub ExampleUSDate
    Dim sInput As String
    Dim sUS_date As String
        sInput = InputBox("Geben Sie bitte ein Datum im englischen Format MM-DD-YYYY ein")
        sUS_date = Mid(sInput, 6, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Right(sInput, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Left(sInput, 4)
        MsgBox sUS_date
    End Sub

Verwandte Themen

Zeichenketten-Funktionen